
%global meadversion 1.1.3
%global namedversion 1.1.3.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.1.3.Final-redhat-1

Name:           jboss-invocation
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Invocation API
License:        LGPLv2+
Group:          Development/Libraries

%if %with mead
Source100: jboss-invocation-1.1.3.Final-redhat-1-scm-sources.zip
Source102: jboss-invocation-1.1.3.Final-redhat-1-javadoc.jar
Source103: jboss-invocation-1.1.3.Final-redhat-1-sources.jar
Source104: jboss-invocation-1.1.3.Final-redhat-1.jar
Source105: jboss-invocation-1.1.3.Final-redhat-1.pom
Source106: jboss-invocation-1.1.3.Final-redhat-1-project-sources.tar.gz
%endif

URL:            http://git.app.eng.bos.redhat.com/git/jbossas/jboss-invocation.git

BuildRequires:    jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         jpackage-utils

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Invocation Application Programming Interface

%if %with javadoc
%package -n jboss-invocation-javadoc
Summary:   Javadoc for %{name}
Group:     Development/Documentation

Requires:  jpackage-utils

%description -n jboss-invocation-javadoc
API documentation for %{name}.
%endif

%prep
%setup -q -n jboss-invocation -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# depmaps
%add_to_maven_depmap org.jboss.invocation %{name} %{namedversion} JPP %{name}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n jboss-invocation
%update_maven_depmap

%postun -n jboss-invocation
%update_maven_depmap

%files -n jboss-invocation
%defattr(0644,root,root,0755)
%{_javadir}*/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Thu Jul 28 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.1.3-1.Final_redhat_1.1
- Upgrade to 1.1.3.Final

* Thu Jul 28 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.1.3-1.Final_redhat_1.1
- Upgrade to 1.1.3.Final

* Mon Jul 01 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1.2-1.Final_redhat_1
- Upgrade to 1.1.2.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-5.Final_redhat_2.4
- Rebuild for MD5

* Mon Aug 20 2012 Paul Gier <pgier@redhat.com> - 0:1.1.1-4.Final_redhat_2.4
- Update pom patch for eap 6.0.1

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-4.Final_redhat_2.3
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-4.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-4.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.1.1-4.Final_redhat_1
- Remove javadocs from main package

* Thu Apr 19 2012 Lin Gao <lgao@redhat.com> 1.1.1-3.Final_redhat_1
- Re run vman to use jboss-parent:8-redhat-1

* Wed Mar 14 2012 Lin Gao <lgao@redhat.com> 1.1.1-2.Final_redhat_1.1
- Change jars install path
- Builds javadoc subpackage

* Mon Jan 16 2012 Fernando Nasser <fnasser@redhat.com> 1.1.1-2
- Populate avadir-signed

* Mon Jan 16 2012 Fernando Nasser <fnasser@redhat.com> 1.1.1-1
- Wrap MEAD build for EAP 6
